> For the complete documentation index, see [llms.txt](https://docs.aeternity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aeternity.com/developer-documentation/aeternity/docs/release-notes/release-notes-5.1.0.md).

# About this release

[This](https://github.com/aeternity/aeternity/releases/tag/v5.1.0) is a maintenance Lima release\
focused on stability:

* Adds support for community hard-forks. Miners will be able to signal if they\
  support the new protocol version. Depending on the signalling result, the\
  network will switch to a new protocol version or will stay with the current\
  one.
* Adds protocol activated by miner signalling to HTTP /status endpoint
* Improving chain sync - avoid creating duplicate sync tasks.
* Optimize sync, by being more aggressive and drop gossiped blocks that are far\
  in the future. This also reduces the amount of noise in the console.
* State Channels off-chain update requests can now all include meta information objects.\
  This affects methods update, new\_contract, contract\_call, deposit and withdraw.
* State Channel FSM: allows optionally setting the fee of all on-chain\
  transactions.
* State Channels: Changed calculation of block confirmation times in to be dynamic.\
  Previously the confirmation times would be static for all relevant transactions\
  in a channel. This has been changed to calculate the block confirmation time\
  based on the chosen strategy. For more information check the protocol\
  documentation.
* Adds a functionality to reject updates in State Channel environment.
* Improves stability of `channel_force_progress_tx` series before a\
  solo closing sequence.
* Improves stability of `channel_slash_tx` after a `channel_close_solo_tx` with\
  a payload that had been preceded by a `channel_force_progress_tx`
* Load regulation for state channel set up was corrected so that requests release the job scheduler sooner,\
  thereby allowing for more channels than `regulators:sc_ws_handler:counter`. A config value,`channels:max_count` (default: 1000) is introduced, to limit the total number of active channels on a node.
* Fixes rare crash in FATE VM when updating nested maps in the store.
* Fixes internal API bug which manifests itself during sync on low io throughput devices

Please join the **mainnet** by following the instructions in the documentation below,\
and let us know if you have any problems by [opening a ticket](https://github.com/aeternity/aeternity/issues).\
Troubleshooting of common issues is documented [in the wiki](https://github.com/aeternity/aeternity/wiki/Troubleshooting).

## Documentation

For an overview of the installation process for different platforms,\
building the package from source, configuration and operation of the Aeternity\
node please refer to [Aeternity node documentation](https://docs.aeternity.io/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.aeternity.com/developer-documentation/aeternity/docs/release-notes/release-notes-5.1.0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
